# Migrate to Structured Data Files v9

*Last update: 2025-08-21*

This guide leads you through these processes:

- Update your selected Structured Data Files version to v9 using the Display \& Video 360 UI or API.
- Migrate your integration from deprecated Structured Data Files versions (v7, v7.1, v8, or v8.1) to v9. It points you to pages detailing the changes between your current version and v9 that may impact your integration. In some cases, you will have to use v9 to upload SDFs starting on September 8, 2025.

See the [migration pages specific to each version](https://developers.google.com/display-video/api/structured-data-file/v9-migration-guide#migrate_from_your_current_sdf_version) for an
exhaustive list of differences between your version and v9.

## Update your Structured Data Files version

To use v9, you must update your resources and SDF generation actions to use v9
when downloading and uploading Structured Data Files.

### Update Structured Data Files version

To use a new Structured Data Files version, update the assigned version in your
parent Partner and Advertiser resources and use the new version when creating
individual download tasks in the [Display \& Video 360 API](https://developers.google.com/display-video/api/guides/getting-started/overview).

#### Update parent resource settings

You set the default Structured Data Files version at the partner and advertiser
resource level. This version is used as the default when downloading Structured
Data Files through the interface or API.

##### Set in the interface

**At the partner level:**

1. Navigate to the intended partner.
2. Go to the **Basic Details** page under the **Partner Settings** menu in the left-hand navigation.
3. Update the **SDF version** configuration in the Structured Data Files section to **v9**.

**At the advertiser level:**

1. Navigate to the intended advertiser.
2. Go to the **Basic Details** page under the **Advertiser Settings** menu in the left-hand navigation.
3. Update the **SDF version** configuration in the **Structured Data Files** section to **v9**. If the default version is set at the Partner level, this setting may not be editable.

#### Set in the API

**At the partner level:** You cannot set the default SDF version at the Partner
level in the API.

**At the advertiser level:** Make an [`advertisers.patch`](https://developers.google.com/display-video/api/reference/rest/current/advertisers/patch) request to
update the
[`dataAccessConfig.sdfConfig.sdfConfig.version`](https://developers.google.com/display-video/api/reference/rest/current/SdfConfig#FIELDS.version) to
`SDF_VERSION_9` and, if needed,
[`dataAccessConfig.sdfConfig.overridePartnerSdfConfig`](https://developers.google.com/display-video/api/reference/rest/current/advertisers#AdvertiserSdfConfig.FIELDS.override_partner_sdf_config)
to True.

### Update `sdfdownloadtasks.create` requests in the API

When making a [`sdfdownloadtasks.create`](https://developers.google.com/display-video/api/reference/rest/current/sdfdownloadtasks/create) request using the
Display \& Video 360 API, set the [`version`](https://developers.google.com/display-video/api/reference/rest/current/sdfdownloadtasks/create#body.request_body.FIELDS.version) field of the request body to
`SDF_VERSION_9`.

## Migrate from your current SDF version

> [!IMPORTANT]
> **Important:** The only new feature in v9 is the ability to declare whether a line item will serve EU political ads. This column will be required starting **September 8, 2025**.

The following pages walk you through the necessary updates to make to your
integration when migrating from your current version to v9 and provide a
comprehensive list of all changes between the versions:

- [Migrate from v7](https://developers.google.com/display-video/api/structured-data-file/v7/migrate-to-v9)
- [Migrate from v7.1](https://developers.google.com/display-video/api/structured-data-file/v7-1/migrate-to-v9)
- [Migrate from v8](https://developers.google.com/display-video/api/structured-data-file/v8/migrate-to-v9)
- [Migrate from v8.1](https://developers.google.com/display-video/api/structured-data-file/v8-1/migrate-to-v9)